Subject: Re: [PATCH 0/6] MIPS/BPF fixes for 4.3

From: Alexei Starovoitov <[email-masked]>
Date: Thu, 04 Jun 2015 09:49:42 -0700

On 6/4/15 3:56 AM, Markos Chandras wrote:
> Here are some fixes for MIPS/BPF. The first 5 patches do some cleanup
> and lay the groundwork for the final one which introduces assembly helpers
> for MIPS and MIPS64. The goal is to speed up certain operations that do
> not need to go through the common C functions. This also makes the test_bpf
> testsuite happy with all 60 tests passing. This is based in 4.1-rc6.

looks like these patches actually fix two real bugs, right?
If so, I think you probably want them in 'net' tree ?

Different arch maintainers take different stance towards bpf jit
changes. x86, arm and s390 are ok with them going through Dave's trees,
since often there are dependencies on bpf core parts.
So please state clearly what tree you want these patches to go in.

btw, in the net-next tree bpf testsuite has 246 tests and the last
ten are very stressful for JITs.